=== debian/changelog ===
ros-kinetic-naoqi-libqi (2.5.0-3xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Mikael Arguedas <mikael.arguedas@gmail.com>  Fri, 20 May 2016 15:13:15 -0000
